import { useFilesQuery, File } from '../../gql'
import { FunctionComponent, ChangeEvent, useState } from 'react'
import Dropdown from '../../dropdown/components/Dropdown'
import EditFile from './EditFile'
import { Modal } from '../../modal'

const VideoSelector: FunctionComponent<{
  name?: string
  value?: Partial<File>[]
  onChange: (event: ChangeEvent<HTMLSelectElement>) => void
}> = ({ name }) => {
  const [modal, setModal] = useState(false)
  const { data, error, loading } = useFilesQuery({
    variables: { where: { mimetype_starts_with: 'video/' } },
  })

  const videolist = error ? (
    <option>Error loading videos.</option>
  ) : loading ? (
    <option>Loading videos...</option>
  ) : (
    data?.files.map((video) => <li>{video.title}</li>)
  )

  return (
    <>
      <Dropdown
        name='file'
        value='12'
        onChange={(event: any) => console.log(event)}
        items={[]}
      ></Dropdown>
      <button onClick={() => setModal(true)}>Add video</button>
      <Modal state={[modal, setModal]}>
        <EditFile file={data?.files[0] || {}} />
      </Modal>
    </>
  )
}

export default VideoSelector
